We read every piece of feedback, and take your input very seriously.
To see all available qualifiers, see our documentation.
1 parent be63836 commit 197c2a8Copy full SHA for 197c2a8
circle.yml
@@ -1,3 +1,14 @@
1
+general:
2
+ branches:
3
+ ignore:
4
+ - gh-pages
5
dependencies:
6
pre:
7
- case $CIRCLE_NODE_INDEX in 0) nvm use 0.10 ;; 1) nvm use 0.12 ;; 2) nvm use 4.2 ;; 3) nvm use 5.5 ;; esac
8
+deployment:
9
+ npm:
10
+ # match semver tag with optional dev prerelease tag (e.g. 3.12.7 or 3.12.7-dev.2)
11
+ tag: /\d\d?\.\d\d?\.\d\d?(-dev\.\d\d?)?/
12
+ owner: palantir
13
+ commands:
14
+ - ./scripts/npmPublish.sh
scripts/npmPublish.sh
@@ -0,0 +1,10 @@
+#!/usr/bin/env bash
+
+cd $(dirname $0)/..
+set -e
+echo "//registry.npmjs.org/:_authToken=${NPM_TOKEN}" > .npmrc
+chmod 0600 .npmrc
+echo "Publishing..."
+npm publish
0 commit comments